Bug 1217630 - [abrt] nxagent: GetULONG(): nxagent killed by SIGSEGV
Summary: [abrt] nxagent: GetULONG(): nxagent killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:161f8ac51bea74c953de0c7e046...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 21:28 UTC by ruslan
Modified: 2015-12-02 19:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 19:48:47 UTC


Attachments (Terms of Use)
File: backtrace (15.79 KB, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: cgroup (191 bytes, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: core_backtrace (3.44 KB, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: dso_list (2.48 KB, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: environ (578 bytes, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: maps (13.58 KB, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: open_fds (196 bytes, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2015-04-30 21:28 UTC, ruslan
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-04-30 21:28 UTC, ruslan
no flags Details

Description ruslan 2015-04-30 21:28:13 UTC
Description of problem:
I worked in PyCharm 4.0.4 by x2go. Connection closed unexpected.

Version-Release number of selected component:
nxagent-3.5.0.29-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/nx/../x2go/bin/x2goagent -extension XFIXES -nolisten tcp -nolisten tcp -dpi 96 -D -auth /home/ruslan/.Xauthority -name X2GO-ruslan-50-1430428104_stDMATE_dp32 :50
crash_function: GetULONG
executable:     /usr/lib64/nx/bin/nxagent
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Ср 2015-03-04 11:56:00 MSK, end at Пт 2015-05-01 00:16:33 MSK. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetULONG at Misc.cpp:518
 #1 ClientChannel::handleRead at ClientChannel.cpp:1220
 #2 Proxy::handleRead at Proxy.cpp:1750
 #3 NXTransWriteVector at Loop.cpp:2276
 #4 _XSend at XlibInt.c:1957
 #5 XRenderCompositeText32 at Glyph.c:1160
 #6 nxagentGlyphs at Render.c:1533
 #7 ProcRenderCompositeGlyphs at X/NXrender.c:1784
 #8 ProcRenderDispatch at X/NXrender.c:2519
 #9 Dispatch at X/NXdispatch.c:748

Comment 1 ruslan 2015-04-30 21:28:17 UTC
Created attachment 1020735 [details]
File: backtrace

Comment 2 ruslan 2015-04-30 21:28:18 UTC
Created attachment 1020736 [details]
File: cgroup

Comment 3 ruslan 2015-04-30 21:28:19 UTC
Created attachment 1020737 [details]
File: core_backtrace

Comment 4 ruslan 2015-04-30 21:28:20 UTC
Created attachment 1020738 [details]
File: dso_list

Comment 5 ruslan 2015-04-30 21:28:21 UTC
Created attachment 1020739 [details]
File: environ

Comment 6 ruslan 2015-04-30 21:28:23 UTC
Created attachment 1020740 [details]
File: limits

Comment 7 ruslan 2015-04-30 21:28:24 UTC
Created attachment 1020741 [details]
File: maps

Comment 8 ruslan 2015-04-30 21:28:25 UTC
Created attachment 1020742 [details]
File: open_fds

Comment 9 ruslan 2015-04-30 21:28:26 UTC
Created attachment 1020743 [details]
File: proc_pid_status

Comment 10 ruslan 2015-04-30 21:28:28 UTC
Created attachment 1020744 [details]
File: exploitable

Comment 11 Orion Poplawski 2015-05-04 21:30:54 UTC
#0  GetULONG (buffer=buffer@entry=0x31ff000 <error: Cannot access memory at address 0x31ff000>, bigEndian=0) at Misc.cpp:518
518	    return *((unsigned int *) buffer);

Thread 1 (Thread 0x7fae35376740 (LWP 4320)):
#0  GetULONG (buffer=buffer@entry=0x31ff000 <error: Cannot access memory at address 0x31ff000>, bigEndian=0) at Misc.cpp:518
        next = <optimized out>
        result = <optimized out>
#1  0x00007fae342b1525 in ClientChannel::handleRead (this=0x27015c0, encodeBuffer=..., message=<optimized out>, length=<optimized out>) at ClientChannel.cpp:1220
        numPixels = <optimized out>
        nextSrc = 0x31ff000 <error: Cannot access memory at address 0x31ff000>
        inputOpcode = 88 'X'
        bits = <optimized out>
        inputMessage = 0x28acac0 "X"
        inputLength = 4
        hit = 0
#2  0x00007fae34298284 in Proxy::handleRead (this=0x2182650, fd=<optimized out>, data=0x1eac1d0 "\213\032\v", size=8160) at Proxy.cpp:1750
        result = <optimized out>
        size = 8160
        data = 0x1eac1d0 "\213\032\v"
        fd = <optimized out>
        this = 0x2182650

Filed upstream: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=863

Comment 12 Orion Poplawski 2015-07-14 21:10:18 UTC
If you are feeling adventurous - please test out pre-release versions of nx-libs here: http://copr-fe.cloud.fedoraproject.org/coprs/orion/nxlibs36/ and let me know if it helps or makes things worse.

Comment 13 Fedora End Of Life 2015-11-04 15:52:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Jan Kurik 2015-12-02 19:48:49 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.